Package org.apache.wiki.api.search

# Interface SearchResult

public interface SearchResult
Defines a search result.

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getContexts()`
Collection of XHTML fragments representing some contexts in which the match was made (a.k.a., "snippets").
`Page`
`getPage()`
Return the page.
`int`
`getScore()`
Returns the score.

## Method Details

### getPage

Page getPage()
Return the page.

Returns:
  the WikiPage object containing this result

### getScore

int getScore()
Returns the score.

Returns:
  A positive score value. Note that there is no upper limit for the score.

### getContexts

String[] getContexts()
Collection of XHTML fragments representing some contexts in which the match was made (a.k.a., "snippets").

Returns:
  the search results
Since:
  2.4